package com.zd.smartlock.domain;

import java.io.Serializable;

/**
 * @Author: liujh
 * @Date: 2022/08/30/16:33
 * @Description:
 */
public class BaseDomain implements Serializable {

    /**
     * 每一页显示数量
     */
    public  String  pageSize;

    /**
     * 页码
     */
    public  String  pageNumber;

    /**
     * 总数
     */
    public Integer total;

    /**
     * token
     */
    public String token;

    /**
     * 搜索条件
     */
    public  String  search;

    public String getPageSize() {
        return pageSize= pageSize==null || "".equals(pageSize)?"20":pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public String getPageNumber() {
        return pageNumber =  "".equals(pageNumber) || pageNumber==null?"1":pageNumber;
    }

    public void setPageNumber(String pageNumber) {
        this.pageNumber = pageNumber;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Integer getTotal() {        return total;    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public String getSearch() {        return search;    }

    public void setSearch(String search) {        this.search = search;    }
}
